﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using DataTables.AspNetCore.Mvc
@model CyberaniumModels.RiskAssessmentRCM
@{
    ViewData["Title"] = "Index";
}
<script src="~/Script/ApplicationManagement/GenerateRCM.js"></script>

<script>
    $(document).ready(function () {
        $('.multiple').multiselect({
            enableFiltering: true,
            includeSelectAllOption: true
        });
        $('.chosen-select').chosen();
        $('#ICDFirstView').hide();
        $('#ICDSecondView').hide();
        $("#ICDThirdView").hide();
        $("#ICDFourthView").hide();
        $('#divUploadRCM').hide();
        $("#MainDiv").hide();
    })
</script>
<style>
    .domaincls {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }

    a:hover {
        color: white;
    }

    .backtolist {
        padding: 2px 10px !important;
        margin-top: -8px !important;
    }

    .back_btn_in input[type="submit"], .back_btn_in input[type="button"] {
        width: 100%;
        float: left;
        padding: 8px 25px;
        border: none;
        background: #00a3a1;
        color: #fff;
        text-align: center;
        font-size: 14px;
        border-radius: 20px;
    }

    .qesBank td {
        padding: 15px 0px;
    }

        .qesBank td:first-child {
            width: 48%;
        }

        .qesBank td:nth-child(2) {
            padding-left: 30px;
        }

            .qesBank td:nth-child(2) .radio-inline {
                margin-right: 30px;
            }

    .table_control2 th {
        background-color: #00a3a1;
        color: #fff;
        font-weight: normal;
    }

    .clsScore {
        font-size: 20px;
        font-weight: 600;
    }

    .customRadiobtn {
        margin-top: 10px;
    }

        .customRadiobtn input[type="radio"] {
            display: none;
        }

            .customRadiobtn input[type="radio"] + label {
                position: relative;
                padding: 5px 5px 5px 40px;
            }

                .customRadiobtn input[type="radio"] + label:before {
                    content: "";
                    width: 27px;
                    height: 27px;
                    border-radius: 90%;
                    border: solid 1px #ccc;
                    position: absolute;
                    left: 0;
                    top: 2px;
                    transition: 0.3s;
                }

                .customRadiobtn input[type="radio"] + label:after {
                    content: "";
                    width: 11px;
                    height: 11px;
                    border-radius: 95%;
                    background: #222;
                    position: absolute;
                    left: 8px;
                    top: 10px;
                    opacity: 0;
                    transition: 0.3s;
                }

            .customRadiobtn input[type="radio"]:checked + label:after {
                opacity: 1;
            }

            .customRadiobtn input[type="radio"]:checked + label:before {
                border: solid 1px #0b1db2;
            }

    .clsBack {
    }

    .tt li {
        width: 340px;
        overflow: hidden;
    }
</style>
<section>
    <form id="form" method="post" asp-action="SubmitRCM" asp-controller="GenerateRCM"
          data-ajax="true"
          data-ajax-method="POST"
          data-ajax-mode="replace"
          data-loading-text="loading..."
          data-ajax-update="#ajaxresult"
          data-ajax-success="fn_Onsuccess(data,'ApplicationManagement/GenerateRCMView/Index');"
          data-ajax-failure="Errmsg(data);">
        @Html.HiddenFor(m => m.xmlRCM)
        <div class="right_section">
            <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">
                Risk Control Matrix
                <a data-ajax="true" class="backtolist" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajaxresult" asp-action="Index" asp-controller="GenerateRCMView" asp-area="ApplicationManagement">Back to Menu</a>
            </div>
            <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
                <div class="right_panel">
                    <div class="right_content">
                        <div class="row">
                            <div class="col-md-4 col-sm-6 col-xs-12">
                                <label class="required">Organization</label>
                                <div class="select_box m_bottom">
                                    @Html.DropDownListFor(m => m.OrgID, Model.DdlOrganization, "--Select--", new { @class = "form-control m_no chosen-select", required = "required", onchange = "fn_MainDiv(this)" })
                                </div>
                            </div>
                        </div>
                        <div class="row" id="MainDiv">
                            <div class="col-md-12 col-sm-12 col-xs-12">
                                <div class="select_box m_bottom">
                                    <div class="customRadiobtn">
                                        <input type="radio" value="1" name="RdRCm" id="n1" onclick="fn_ShowRCMICD(this)" />
                                        <label for="n1" id="lblRCMICD"></label>
                                    </div>
                                    <div id="ICDFirstView" class="pt-4">
                                        <div class="row">
                                            <div class="col-md-7 offset-md-2">
                                                <div class="row">
                                                    <div class="col-sm-6">
                                                        <div class="tabsection">
                                                            Select Sector
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="select_box m_bottom tt">
                                                            @Html.DropDownListFor(m => m.SectorID, Model.DdlSector, new { @class = "form-control m_no multiple", multiple = "multiple" })
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row mt-3">
                                                    <div class="col-sm-6">
                                                        <div class="tabsection">
                                                            Select country of operation
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <div class="select_box m_bottom">
                                                            @Html.DropDownListFor(m => m.CountryID, Model.DdlCountry, new { @class = "form-control m_no multiple", required = "required", multiple = "multiple" })
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row pt-3">
                                            <div class="col-md-12 col-sm-12 col-xs-12">
                                                <div class="back_btn">
                                                    <div class="back_btn_in">
                                                        <input type="button" id="btnBackSecondView" name="Submit" value="Next" onclick="fn_MoveForward(1)">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="ICDSecondView">
                                        <div class="row" style="padding-left:240px">
                                            <div class="col-sm-12">
                                                <table class="qesBank" id="tblQuestionBank">
                                                    <tbody>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="row pt-3">
                                            <div class="col-md-4 col-sm-12 col-xs-12">
                                                <div class="back_btn  pull-left">
                                                    <div class="back_btn_in">
                                                        <input type="button" class="btnBackWizard clsBack" name="Submit" value="Back" onclick="fn_MoveBackward(1)">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-8 col-sm-12 col-xs-12">
                                                <div class="back_btn">
                                                    <div class="back_btn_in">
                                                        <input type="button" id="btnBackSecondView" name="Submit" value="Next" onclick="fn_MoveForward(2)">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="ICDThirdView">
                                        <div class="row pt-3">
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="domaincls">
                                                    <div class="table_control">
                                                        <table class="table" id="tblVersion">
                                                            <thead>
                                                                <tr>
                                                                    <th>
                                                                        <input type="checkbox" id="roleMenu_"  class="chk"  />
                                                                    </th>
                                                                    <th>Service</th>
                                                                    <th>Standards</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-6 col-sm-12 col-xs-12">
                                                <div class="domaincls">
                                                    <div class="table_control">
                                                        <table class="table" id="tblRegulationRCM">
                                                            <thead>
                                                                <tr>
                                                                    <th>
                                                                        <input type="checkbox" id="roleMenu1_" class="chk1" />
                                                                    </th>
                                                                    <th>Country</th>
                                                                    <th>Sector</th>
                                                                    <th>Regulation</th>
                                                                    <th>RequirementId</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row pt-3">
                                            <div class="col-md-4 col-sm-12 col-xs-12">
                                                <div class="back_btn  pull-left">
                                                    <div class="back_btn_in">
                                                        <input type="button" class="btnBackWizard clsBack" name="Submit" value="Back" onclick="fn_MoveBackward(2)">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-8 col-sm-12 col-xs-12">
                                                <div class="back_btn">
                                                    <div class="back_btn_in">
                                                        <input type="button" id="btnBackThirdView" name="Submit" value="Generate RCM" onclick="fn_MoveForward(3)">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="ICDFourthView">
                                        <div class="row pt-3">
                                            <div class="col-md-12 col-sm-6 col-xs-12">
                                                <div class="domaincls">
                                                    <div class="table_control2">
                                                        <table class="table table-bordered clsComplianceScore" style="background-color:white;font-size:13px" id="tblComplianceScore">
                                                            <thead>
                                                                <tr>
                                                                    <th>Domain</th>
                                                                    <th>Sub-Domain</th>
                                                                    <th>Control Name</th>
                                                                    <th>Control Description</th>
                                                                    <th>Control ID</th>
                                                                    <th>Control Type</th>
                                                                    <th>Governance</th>
                                                                    <th>Application</th>
                                                                    <th>Infrastructure</th>
                                                                    <th>Cloud</th>
                                                                    <th>Networks</th>
                                                                    <th>People</th>
                                                                    <th>Location</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                            </tbody>
                                                        </table>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row pt-3">
                                            <div class="col-md-4 col-sm-12 col-xs-12">
                                                <div class="back_btn  pull-left">
                                                    <div class="back_btn_in">
                                                        <input type="button" class="btnBackWizard clsBack" name="Submit" value="Back" onclick="fn_MoveBackward(3)">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-md-8 col-sm-12 col-xs-12">
                                                <div class="back_btn">
                                                    <div class="back_btn_in">
                                                        <input type="submit" id="btnBackFourthView" name="Submit" value="Submit" onclick="fn_SaveMultipleCheckbox();">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="customRadiobtn">
                                        <input type="radio" value="1" name="RdRCm" id="n2" onclick="fn_ShowOrgICD(this)" />
                                        <label for="n2" id="lblOrgICD"></label>
                                    </div>
                                    <div id="divUploadRCM">
                                        <div class="row mt-3">
                                            <div class="col-3 text-right pt-1">
                                                <a href="/Template/TemplateCustomisedRCM.xlsx" class="btn btn-info"><i class="fa fa-download"></i>&nbsp;Download Template</a>
                                            </div>
                                            <div class="col-4">
                                                <input type="file" id="excelFile" class="form-control" accept=".xls,.xlsx,.xlsm" onchange="fnValidateFile(this)">
                                            </div>
                                            <div class="col-3 pt-1" id="divBtnSubmit" style="display:none">
                                                <button class="btn btn-info" id="btnSubmit" onclick="UploadExcel()">Submit</button>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-3"></div>
                                            <div class="col-8 p-0">
                                                <strong style="padding:15px; font-size:14px; color:sandybrown;" id="strongAlert">Please choose only downloaded excel file.</strong>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

<div class="modal fade" id="CloudModal" tabindex="-1" role="dialog" aria-labelledby="CloudModal" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
        <div class="modal-content">
            <div class="pb-2 mt-4 mb-2 border-bottom box_title pl-4">
                Cloud Delivery
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-4">
                        <div class="select_box select_check m_bottom">
                            <label>IaaS</label>
                            <input type="checkbox" id="IsIaas" class="form-control CloudCheckbox" />
                        </div>
                    </div>
                    <div class="col-4">
                        <label>PaaS</label>
                        <div class="select_box select_check m_bottom">
                            <input type="checkbox" id="IsPaaS" class="form-control CloudCheckbox" />
                        </div>
                    </div>
                    <div class="col-4">
                        <label>SaaS</label>
                        <div class="select_box select_check m_bottom">
                            <input type="checkbox" id="IsSaaS" class="form-control CloudCheckbox" />
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-dismiss="modal">Ok</button>
            </div>
        </div>
    </div>
</div>
